import { OnInit } from "@angular/core";
import { NavController, LoadingController, ActionSheetController } from "ionic-angular";
import { FileBrowser } from "../../services/file-browser.service";
import { FileBrowserAlertComponent } from "../file-browser-alert/file-browser-alert.component";
import { FileBrowserModalComponent } from "../file-browser-modal/file-browser-modal.component";
export declare class FileBrowserContainerMobileComponent implements OnInit {
    navCtrl: NavController;
    loadingCtrl: LoadingController;
    actionSheetCtrl: ActionSheetController;
    fileBrowser: FileBrowser;
    alertComponent: FileBrowserAlertComponent;
    modalComponent: FileBrowserModalComponent;
    constructor(navCtrl: NavController, loadingCtrl: LoadingController, actionSheetCtrl: ActionSheetController, fileBrowser: FileBrowser, alertComponent: FileBrowserAlertComponent, modalComponent: FileBrowserModalComponent);
    ngOnInit(): void;
    presentLoading(): void;
    presentAlert(type: any, node: any): void;
    presentDeleteAlert(type: any, node: any): void;
    presentModal(): void;
}
