import { Node, Entity } from "./file-browser.model";
export declare class GenerateFileBrowser {
    nodes: Node[];
    entities: Entity[];
    static readonly type: string;
    constructor(nodes: Node[], entities: Entity[]);
}
export declare class GetNode {
    node: string;
    static readonly type: string;
    constructor(node: string);
}
export declare class SelectNode {
    node: string;
    multi: boolean;
    type: string;
    static readonly type: string;
    constructor(node: string, multi: boolean, type: string);
}
export declare class UnselectNode {
    static readonly type: string;
    constructor();
}
export declare class GenerateHistory {
    node: string;
    static readonly type: string;
    constructor(node: string);
}
export declare class GenerateTreeFirstLevel {
    static readonly type: string;
    constructor();
}
export declare class GenerateTreeLevels {
    level: number;
    static readonly type: string;
    constructor(level: number);
}
export declare class ToggleFolder {
    node: string;
    static readonly type: string;
    constructor(node: string);
}
export declare class SortNodes {
    sort: string;
    static readonly type: string;
    constructor(sort: string);
}
export declare class ShowTree {
    static readonly type: string;
    constructor();
}
export declare class SetOS {
    os: string;
    static readonly type: string;
    constructor(os: string);
}
export declare class Open {
    node_id: string[];
    static readonly type: string;
    constructor(node_id: string[]);
}
export declare class OpenNodes {
    static readonly type: string;
    constructor();
}
export declare class NewFolder {
    parent_id: string;
    folder_name: string;
    static readonly type: string;
    constructor(parent_id: string, folder_name: string);
}
export declare class Rename {
    node_id: string;
    new_name: string;
    static readonly type: string;
    constructor(node_id: string, new_name: string);
}
export declare class Download {
    node_id: string[];
    static readonly type: string;
    constructor(node_id: string[]);
}
export declare class DownloadNodes {
    static readonly type: string;
    constructor();
}
export declare class Upload {
    parent_id: string;
    static readonly type: string;
    constructor(parent_id: string);
}
export declare class Delete {
    node_id: string[];
    static readonly type: string;
    constructor(node_id: string[]);
}
export declare class DeleteNodes {
    static readonly type: string;
    constructor();
}
export declare class Properties {
    node_id: string[];
    static readonly type: string;
    constructor(node_id: string[]);
}
export declare class PropertiesNodes {
    static readonly type: string;
}
